Converting my existing app to support multilocation

Highlighted
New Member
3 0 0

Hi,

I have an app already used by multiple users. I need to modify the app to support multiple location. i have made changes to api but in order to test i need to install it on a test store eith multiple location. Whenever i try to install it says can't be added because it doesn't support stores that have multiple locations.

How do i install this app on a test multilocation store

 

0 Likes
Highlighted
Shopify Partner
1777 211 370

Hey Deepak,

Have a read here - https://help.shopify.com/en/api/guides/inventory-migration-guide, "How do I update my app to support multiple locations?" section.

Sergiu Svinarciuc | CTO @ visely.io
- Was my reply helpful? Click Like to let me know!
- Was your question answered? Mark it as an Accepted Solution!
- To learn more about the awesome stuff we do head over to visely.io or our blog
0 Likes
Highlighted
New Member
3 0 0

Yes, i have made changes to the code but in order to test it i  need to install my app in a test store. 

0 Likes
Highlighted
Shopify Partner
1777 211 370

From the error message you have posted, I understand that the store is OK and has support for multiple locations, it's the app that doesn't comply with it.

Sergiu Svinarciuc | CTO @ visely.io
- Was my reply helpful? Click Like to let me know!
- Was your question answered? Mark it as an Accepted Solution!
- To learn more about the awesome stuff we do head over to visely.io or our blog
0 Likes
Highlighted
New Member
3 0 0

The store is okay. 

The issue is with the app. I cant install it on the store. This app is not a complicated one, its just for oauth so that i can get store's orders and products. Now if the store has multiple location i cant install the app on it . There is no setting on app to make it multilocation compatible.

I have my server which makes the call to shopify using the token i got from the oauth process.  I have made changes to API but have not deployed. I need to test it. Now i cant test it if the app wont install on a multilocation store.
 

I hope this makes it clear. Let me know if you need more info

0 Likes